/* fork.c */
/* 190598 SJ */

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

int main()
{
  int lapsi = 0;

  lapsi = fork();

  if (lapsi < 0) {
	  printf(" fork epäonnistui\n");
	  exit(1);

  } else if (!lapsi) {
	  /* uudessa prosessissa muuttujaa
		 lapsi ei asetettu */

	  printf("Lapsiprosessi %d (äiti on %d).\n",
			 getpid(), getppid());

  } else {

	  /* vanha prosessi */

	  printf("Äitiprosessi %d, forkkauksen tulos oli %d.\n",
			 getpid(), lapsi);
  }

  exit(0);
}
